/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorTranslateXliffByPleiadesProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorTranslateXliffByPleiadesProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * XLIFFファイルが格納されている入力／出力先ルート・フォルダを指定します。XLIFFファイルは Bundle-SymbolicName ディレクトリ内に格納されることを前提とします。
     *
     * フィールド: [xliffdir]。
     */
    private String fXliffdir;

    /**
     * テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。
     *
     * フィールド: [tmpdir]。
     * デフォルト: [tmp]。
     */
    private String fTmpdir = "tmp";

    /**
     * trans-unit の target について、値をセットするかどうか。
     *
     * フィールド: [settarget]。
     * デフォルト: [false]。
     */
    private boolean fSettarget = false;

    /**
     * trans-unit の target について、存在の有無にかかわらず値をセットするかどうか。翻訳物を強制的に上書きする場合においてのみセットされます。
     *
     * フィールド: [settargetoverwrite]。
     * デフォルト: [false]。
     */
    private boolean fSettargetoverwrite = false;

    /**
     * alt-trans をセットするかどうか。
     *
     * フィールド: [setalttrans]。
     * デフォルト: [false]。
     */
    private boolean fSetalttrans = false;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [xliffdir] の値を設定します。
     *
     * フィールドの説明: [XLIFFファイルが格納されている入力／出力先ルート・フォルダを指定します。XLIFFファイルは Bundle-SymbolicName ディレクトリ内に格納されることを前提とします。]。
     *
     * @param argXliffdir フィールド[xliffdir]に設定する値。
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド [xliffdir] の値を取得します。
     *
     * フィールドの説明: [XLIFFファイルが格納されている入力／出力先ルート・フォルダを指定します。XLIFFファイルは Bundle-SymbolicName ディレクトリ内に格納されることを前提とします。]。
     *
     * @return フィールド[xliffdir]から取得した値。
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [tmpdir] の値を設定します。
     *
     * フィールドの説明: [テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。]。
     *
     * @param argTmpdir フィールド[tmpdir]に設定する値。
     */
    public void setTmpdir(final String argTmpdir) {
        fTmpdir = argTmpdir;
    }

    /**
     * フィールド [tmpdir] の値を取得します。
     *
     * フィールドの説明: [テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。]。
     * デフォルト: [tmp]。
     *
     * @return フィールド[tmpdir]から取得した値。
     */
    public String getTmpdir() {
        return fTmpdir;
    }

    /**
     * フィールド [settarget] の値を設定します。
     *
     * フィールドの説明: [trans-unit の target について、値をセットするかどうか。]。
     *
     * @param argSettarget フィールド[settarget]に設定する値。
     */
    public void setSettarget(final boolean argSettarget) {
        fSettarget = argSettarget;
    }

    /**
     * フィールド [settarget] の値を取得します。
     *
     * フィールドの説明: [trans-unit の target について、値をセットするかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[settarget]から取得した値。
     */
    public boolean getSettarget() {
        return fSettarget;
    }

    /**
     * フィールド [settargetoverwrite] の値を設定します。
     *
     * フィールドの説明: [trans-unit の target について、存在の有無にかかわらず値をセットするかどうか。翻訳物を強制的に上書きする場合においてのみセットされます。]。
     *
     * @param argSettargetoverwrite フィールド[settargetoverwrite]に設定する値。
     */
    public void setSettargetoverwrite(final boolean argSettargetoverwrite) {
        fSettargetoverwrite = argSettargetoverwrite;
    }

    /**
     * フィールド [settargetoverwrite] の値を取得します。
     *
     * フィールドの説明: [trans-unit の target について、存在の有無にかかわらず値をセットするかどうか。翻訳物を強制的に上書きする場合においてのみセットされます。]。
     * デフォルト: [false]。
     *
     * @return フィールド[settargetoverwrite]から取得した値。
     */
    public boolean getSettargetoverwrite() {
        return fSettargetoverwrite;
    }

    /**
     * フィールド [setalttrans] の値を設定します。
     *
     * フィールドの説明: [alt-trans をセットするかどうか。]。
     *
     * @param argSetalttrans フィールド[setalttrans]に設定する値。
     */
    public void setSetalttrans(final boolean argSetalttrans) {
        fSetalttrans = argSetalttrans;
    }

    /**
     * フィールド [setalttrans] の値を取得します。
     *
     * フィールドの説明: [alt-trans をセットするかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[setalttrans]から取得した値。
     */
    public boolean getSetalttrans() {
        return fSetalttrans;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorTranslateXliffByPleiadesProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",tmpdir=" + fTmpdir);
        buf.append(",settarget=" + fSettarget);
        buf.append(",settargetoverwrite=" + fSettargetoverwrite);
        buf.append(",setalttrans=" + fSetalttrans);
        buf.append("]");
        return buf.toString();
    }
}
